{ lib
, rustPlatform
, fetchFromGitHub
, pkg-config
, cairo
, openssl
, alsa-lib
, dbus
, gtk3
}:

rustPlatform.buildRustPackage rec {
  pname = "psst";
  version = "1.2.1";

  src = fetchFromGitHub {
    owner = "jpochyla";
    repo = "psst";
    rev = "8f142a3232a706537c8477bff43d2e52309f6b78";
    sha256 = "00pdijd70rq98lrrfgh6pzqa6w3pp49lmpzaviw7nrgfl7l6j3v0";
  };
  
  cargoSha256 = "sha256-/nbYi7n58D8V3qa9rStg7JfGh4sAhTxC2niFFW5Ta34=";

  nativeBuildInputs = [ pkg-config ];

  buildInputs = [ cairo openssl gtk3 alsa-lib dbus ];

  postInstall = ''
    # Install the desktop file
    mkdir -p $out/share
    cp .pkg/psst.desktop $out/share/
  '';
  
  meta = with lib; {
    description = "A modern Volume Mixer for PulseAudio";
    homepage = "https://github.com/Aurailus/Myxer";
    license = licenses.gpl3Only;
    maintainers = with maintainers; [ erin ];
    platforms = platforms.linux;
  };
}
